> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# reverse sync order



## OpenAPI

````yaml https://integration.teceo.co/aos patch /v1/orders/sync/reverse/{externalCode}
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/orders/sync/reverse/{externalCode}:
    patch:
      tags:
        - 'Orders:'
      summary: reverse sync order
      operationId: OrderController_reverseOrderSync_v1
      parameters:
        - name: externalCode
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReverseOrderDTO'
      responses:
        '200':
          description: reverse sync order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReverseOrderDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    ReverseOrderDTO:
      type: object
      properties:
        status:
          type: string
          enum:
            - APPROVED
            - CANCELED
            - REJECTED
            - ON_APPROVAL
          description: New updated order status
        collection:
          description: New updated order collection
          allOf:
            - $ref: '#/components/schemas/ReverseOrderCollectionDTO'
        paymentMethod:
          description: New updated order payment method
          allOf:
            - $ref: '#/components/schemas/ReverseOrderPaymentMethodDTO'
      required:
        - status
        - collection
        - paymentMethod
    ReverseOrderCollectionDTO:
      type: object
      properties:
        code:
          type: string
          description: Collection code
        name:
          type: string
          description: Collection name
      required:
        - code
        - name
    ReverseOrderPaymentMethodDTO:
      type: object
      properties:
        code:
          type: string
          description: payment method code
        name:
          type: string
          description: payment method name
        discount:
          type: number
          description: payment method discount value
      required:
        - code
        - name
        - discount
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````